Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Cyrus SASL library.
Name:      	cyrus-sasl
Version:   	2.1.22
Release:   	3
Provides:	cyrus-sasl
License: 	GNU/GPL
URL:		http://asg.web.cmu.edu/sasl/sasl-library.html
Group:     	System/Libraries
Source0: 	cyrus-sasl-%{version}.tar.gz
Source1: 	saslauthd.init
Patch1: 	cyrus-sasl-2.1.20-threaddb.patch
Patch2: 	cyrus-sasl-2.1.20-automake19.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	openssl-devel >= 0.9.8 
BuildRequires:  gdbm-devel 
BuildRequires:  krb5-devel
BuildRequires:  glibc-devel
BuildRequires:	sqlite-devel
#BuildRequires:	mysql-devel
BuildRequires:	pam-devel


%description
The %{name} package contains the Cyrus implementation of SASL.
SASL is the Simple Authentication and Security Layer, a method for
adding authentication support to connection-based protocols.

%package devel
Summary: 	cyrus-sasl development headers.
Group:     	System/Libraries
Requires: 	cyrus-sasl = %{version}-%{release}

%description devel
The %{name}-devel package contains files needed for developing and
compiling applications which use the Cyrus SASL library.

%package server
Requires: 	%name = %version-%release
Group: 		System/Servers
Summary: 	SASL authentication server

%description server
A SASL authentication server

%post
ldconfig

%postun
ldconfig

%prep
%setup -n cyrus-sasl-%{version}
#%patch1 -p1
LIBS="-lcrypt"; export LIBS
rm -f config/ltconfig config/libtool.m4
rm -rf autom4te.cache
libtoolize --force
aclocal -I config -I cmulocal
autoheader
automake -a
autoconf


%build
./configure 	--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--with-plugindir=%{_libdir}/sasl2 \
		--with-dbpath=/var/lib/sasl/sasldb2 \
		--with-saslauthd=/var/run/saslauthd \
		--with-ldap \
		--with-pwcheck \
		--with-openssl \
		--with-dblib=gdbm \
		--enable-sample \
		--enable-anon \
		--enable-cram \
		--enable-digest \
		--enable-plain \
		--enable-login \
		--enable-ntlm \
		--enable-passdss \
		--enable-sql 
#		--enable-ldapdb 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -m755 -d $RPM_BUILD_ROOT%{_bindir}
install -m755 utils/dbconverter-2 $RPM_BUILD_ROOT%{_sbindir}/dbconverter-2
install -m755 pwcheck/pwcheck $RPM_BUILD_ROOT%{_sbindir}/pwcheck
install -m755 sample/client $RPM_BUILD_ROOT%{_bindir}/sasl-sample-client
install -m755 sample/server $RPM_BUILD_ROOT%{_bindir}/sasl-sample-server

# Create the saslauthd listening directory.
install -m755 -d $RPM_BUILD_ROOT/var/run/saslauthd
install -m755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/saslauthd
install -m755 include/makemd5 $RPM_BUILD_ROOT%{_bindir}/


%files
%defattr(-,root,root)
%_mandir
%_bindir/sasl-sample-client
#%_libdir/sasl
%_libdir/sasl2
%_libdir/*.so.*
%_sbindir/pluginviewer
%_sbindir/testsaslauthd

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.la
%_libdir/*.so

%files server
%defattr(-,root,root)
%config /etc/rc.d/init.d/saslauthd
/var/run/saslauthd
%_bindir/sasl-sample-server
%_bindir/makemd5
%{_sbindir}/saslpasswd2
%{_sbindir}/sasldblistusers2
%{_sbindir}/saslauthd
%{_sbindir}/pwcheck
%{_sbindir}/dbconverter-2

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 30 2006 Christian Metzen <metzench@ccux-linux.de> 2.1.22-3
- removed mysql dependency
* Tue Aug 29 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 2.1.22-2
- Fixed wrong path to plugins
* Sun Jul 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.22-1
- Version update
* Sun Jul 24 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.20-5
- More fixes
* Sat Jul 23 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.20-4
- Fixed minor Bug
* Thu Jul 14 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.20-3
- Moved more files to devel package
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.1.20-2
- rebuilt against openssl 0.9.8
* Sun Apr 03 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.20-1
- Initial Release
